org.apache.olingo.commons.api.edm.provider

## Class CsdlEntityContainerInfo

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlEntityContainerInfo

-     public class CsdlEntityContainerInfo
      extends Object

  The type Csdl entity container info.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlEntityContainerInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullQualifiedName` | `getContainerName()` Gets container name.
    `FullQualifiedName` | `getExtendsContainer()` Gets extends container.
    `CsdlEntityContainerInfo` | `setContainerName(FullQualifiedName containerName)` Sets container name.
    `CsdlEntityContainerInfo` | `setExtendsContainer(FullQualifiedName extendsContainer)` Sets extends container.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlEntityContainerInfo

          public CsdlEntityContainerInfo()

  - ### Method Detail

    - #### getContainerName

          public FullQualifiedName getContainerName()

      Gets container name.
      Returns:
        the container name

    - #### setContainerName

          public CsdlEntityContainerInfo setContainerName(FullQualifiedName containerName)

      Sets container name.
      Parameters:
        `containerName` - the container name
      Returns:
        the container name

    - #### getExtendsContainer

          public FullQualifiedName getExtendsContainer()

      Gets extends container.
      Returns:
        the extends container

    - #### setExtendsContainer

          public CsdlEntityContainerInfo setExtendsContainer(FullQualifiedName extendsContainer)

      Sets extends container.
      Parameters:
        `extendsContainer` - the extends container
      Returns:
        the extends container

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.